Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.security
Interface PrivateKey

All Superinterfaces:
  Key

All Known Subinterfaces:
  DSAPrivateKey, ECPrivateKey, RSAPrivateCrtKey, RSAPrivateKey

All Known Implementing Classes:
  DSAPrivateKeyImpl, ECPrivateKeyImpl, RSAKeyImpl, RSAPrivateCrtKeyImpl

    public interface PrivateKey

extends Key

The `PrivateKey` interface is the base interface for private keys used in asymmetric algorithms.

Method Summary

Methods inherited from interface javacard.security.Key
`clearKey, getSize, getType, isInitialized`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD